Package wx :: Class MultiChoiceDialog

[frames | no frames]

## Type MultiChoiceDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                MultiChoiceDialog

A simple dialog with a multi selection listbox.

Method Summary
MultiChoiceDialog | ``__init__`(self, parent, message, caption, choices, style, pos)` Constructor.
[selections] | ``GetSelections`()` Returns a list of integers representing the items that are selected.
| ``SetSelections`(selections)` Specify the items in the list that should be selected, using a list of integers.

Property Summary
| `Selections`: See `GetSelections` and `SetSelections`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, message, caption, choices=EmptyList, style=CHOICEDLG_STYLE, pos=DefaultPosition)
(Constructor)

Constructor. Use the `ShowModal` method to show the dialog.

  Parameters:
    `parent` - The parent window.
    (type=Window)

    `message` - Text to display above the list of selections.
    (type=String)

    `caption` - Text to use in the title bar of the dialog.
    (type=String)

    `choices` - A list of strings or unicode objects that the user is allowed to choose from.
    (type=List)

    `style` - Styles to apply to the dialog. The default value is equivallent to wx.DEFAULT_DIALOG_STYLE|wx.RESIZE_BORDER|wx.OK|wx.CANCEL|wx.CENTER.
    (type=long)

    `pos` - Where to position the dialog (not used on Windows)
    (type=Point)

  Returns:
    MultiChoiceDialog
  Overrides:
    `wx.Dialog.__init__`

### GetSelections()

Returns a list of integers representing the items that are selected. If an item is selected then its index will appear in the list.

  Returns:
    [selections]

### SetSelections(selections)

Specify the items in the list that should be selected, using a list of integers. The list should specify the indexes of the items that should be selected.

  Parameters:
    `selections`
    (type=List)

Property Details

### Selections

See `GetSelections` and `SetSelections`

  Get Method:
    `GetSelections`()
  Set Method:
    `SetSelections`(selections)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:38 2007 | http://epydoc.sf.net